import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

public class TestServer {

	
	public static void main(String[] args) throws IOException {

		int port = 1607;

		ServerSocket serverSocket = new ServerSocket(port);
		System.out.println("ServerStarted at " + port);
		Socket sock = serverSocket.accept();
		// Receiving the input from client
		InputStream istream = sock.getInputStream();
		BufferedReader readObject = new BufferedReader(new InputStreamReader(istream));
		OutputStream ostream = sock.getOutputStream();
		PrintWriter pwrite = new PrintWriter(ostream, true);
		String recievedRegestMsg = null;

		while (true) {

			
			
			
			if ((recievedRegestMsg = readObject.readLine()) != null) {
				
			//	System.out.println("---------"+recievedRegestMsg);
if(recievedRegestMsg.contains("<nrf:NRFTransaction")){
				if (recievedRegestMsg.contains("15523212610091")) {

					pwrite.println(CountryList());
					//pwrite.flush();

				}else if (recievedRegestMsg.contains("15523280765362")) {
					pwrite.println(books());
					//pwrite.flush();
				}else if (recievedRegestMsg.contains("15523212749834")) {
					pwrite.println(customer());
					//pwrite.flush();

				}else if (recievedRegestMsg.contains("15523279069925")) {
					pwrite.println(order());
					//pwrite.flush();

				}else if (recievedRegestMsg.contains("getLetter")) {
					pwrite.println(letter());
					//pwrite.flush();

				}}

			}
			
		}
	}

	public static String CountryList() {

		return "HTTP/1.0 200 OK\nContent-Length:1200\nContent-Type:application/xml\n\n<nrf:NRFTransaction xmlns:nrf=\"http://ups.com/nrfServerInterface\" "
				+ "RequestMethodName=\"raveGetIsDutiable\" RequestMethodResponseName=\"raveGetIsDutiableResponse\""
				+ " transactionID=\"15523212610091\" version=\"07.01.0001\"><nrf:Response><nrf:raveGetIsDutiableResponse"
				+ " isDutiable=\"N\"/></nrf:Response></nrf:NRFTransaction>";

	}

	public static String books() {
		return "HTTP/1.0 200 OK\nContent-Length:1200\nContent-Type:application/xml\n\n<nrf:NRFTransaction xmlns:nrf=\"http://ups.com/nrfServerInterface\""
				+ " RequestMethodName=\"raveGetIsDutiable\" RequestMethodResponseName=\"raveGetIsDutiableResponse\""
				+ " transactionID=\"15523280765362\" version=\"07.01.0001\"><nrf:Response><nrf:raveGetIsDutiableResponse"
				+ " isDutiable=\"N\"/></nrf:Response></nrf:NRFTransaction>";
	}

	public static String customer() {
		return   "HTTP/1.0 200 OK\nContent-Length:1200\nContent-Type:application/xml\n\n<nrf:NRFTransaction xmlns:nrf=\"http://ups.com/nrfServerInterface\" "
				+ "RequestMethodName=\"raveGetCurrencyInfo\" RequestMethodResponseName="
				+ "\"raveGetCurrencyInfoResponse\" transactionID=\"15523212749834\" "
				+ "version=\"07.01.0001\"><nrf:Response><nrf:raveGetCurrencyInfoResponse>"
				+ "<nrf:currInfo currencyCode=\"USD\" currencyName=\"dollar\" "
				+ "euroAllowed=\"0\"/></nrf:raveGetCurrencyInfoResponse></nrf:Response>"
				+ "</nrf:NRFTransaction>";
	}
	
	public static String order() {
		return   "HTTP/1.0 200 OK\nContent-Length:1200\nContent-Type:application/xml\n\n<nrf:NRFTransaction xmlns:nrf=\"http://ups.com/nrfServerInterface\" "
				+ "RequestMethodName=\"raveGetCurrencyInfo\" RequestMethodResponseName="
				+ "\"raveGetCurrencyInfoResponse\" transactionID=\"15523279069925\" "
				+ "version=\"07.01.0001\"><nrf:Response><nrf:raveGetCurrencyInfoResponse>"
				+ "<nrf:currInfo currencyCode=\"CAD\" currencyName=\"dollar\" "
				+ "euroAllowed=\"0\"/></nrf:raveGetCurrencyInfoResponse></nrf:Response>"
				+ "</nrf:NRFTransaction>";
	}
	

	public static String letter() {
		return "<letter>" 
				+ "  <title maxlength=\"10\"> Quote Letter </title>" + ""
				+ "  <salutation limit=\"40\">Dear Daniel,</salutation>" + ""
				+ "  <text>Thank you f or sending us the information on <emphasis>SDL Trados Studio 2009</emphasis>."
				+ ""
				+ "    We like your products and think they certainly represent the most powerful translation solution on the market."
				+ ""
				+ "    We especially like the <component translate=\"yes\">XML Parser rules</component> options in the <component translate=\"no\">XML</component> filter."
				+ "" + "    It has helped us to set up support for our XML files in a flash." + ""
				+ "    We have already downloaded the latest version from your Customer Center.</text>" + ""
				+ "   <title maxlength=\"40\"> Quote Details </title>" + ""
				+ "    <text> We would like to order 50 licenses." + ""
				+ "    Please send us a quote. Keep up the good work!</text>" + "" + "  " + ""
				+ "  <greetings minlength=\"10\">Yours sincerely,</greetings>" + ""
				+ "  <signature> Paul Smith</signature>" + ""
				+ "  <address translate=\"yes\">Smith Company Ltd.</address>" + ""
				+ "  <address translate=\"no\">Smithtown</address>" + ""
				+ "  <weblink>http://www.smith-company-ltd.com</weblink>" + ""
				+ "  <logo alt=\"Logo of Smith and Company Ltd.\" address=\"http://www.smith-company-ltd.com/logo.jpg\"/>"
				+ "</letter>"
				+";";
	}

}
